#ifndef USBdebughid_h_
#define USBdebughid_h_

#ifdef USB_DEBUG

#ifndef DEBUG_INTERFACE
#define DEBUG_INTERFACE
#endif

#include <stdint.h>

int usb_debug_getchar(void);
int usb_debug_peekchar(void);
int usb_debug_available(void);
void usb_debug_flush_input(void);
int usb_debug_putchar(uint8_t c);
int usb_debug_write(const void *buffer, uint32_t size);
void usb_debug_flush_output(void);
extern uint8_t usb_debug_line_coding[7];
extern uint8_t usb_debug_line_rtsdtr;
extern volatile uint8_t usb_debug_transmit_flush_timer;
void usb_debug_hid_flush_callback(void);
extern volatile uint8_t usb_configuration;

void usb_debug_print(const char *p);

void usb_debug_phex(uint8_t n);
void usb_debug_phex16(uint16_t n);
void usb_debug_phex32(uint32_t n);

#define usb_debug_DTR  0x01
#define usb_debug_RTS  0x02

#endif

#endif

